MOUNT_MSDOS(8) | System Manager's Manual | MOUNT_MSDOS(8)

# NAME

`mount_msdos` — mount an MS-DOS file system

# SYNOPSIS

`mount_msdos` | [`-9GlsU`] [`-g` gid] [`-M` mask] [`-m` mask] [`-o` options] [`-t` gmtoff] [`-u` uid] special node

# DESCRIPTION

The `mount_msdos` command attaches the MS-DOS file system residing on the device special to the global file system namespace at the location indicated by node. Both special and node are converted to absolute paths before use. This command is normally executed by mount(8) at boot time, but can be used by any user to mount an MS-DOS file system on any directory that they own (provided, of course, that they have appropriate access to the device that contains the file system).

Support for FAT16 and VFAT32 as well as long file names is available.

The options are as follows:

`-9`
  Ignore the special Win'95 directory entries even if deleting or renaming a file. This forces `-s`.
`-G`
  This option causes the file system to be interpreted as an Atari-Gemdos file system. The differences to the MS-DOS file system are minimal and limited to the boot block. This option also allows mounting X680x0's Human68k floppies. This option enforces `-s`.
`-g` gid
  Set the group of the files in the file system to gid. The default group is the group of the directory on which the file system is being mounted.
`-l`
  Force listing and generation of Win'95 long filenames and separate creation/modification/access dates.

  If neither `-s` nor `-l` are given, `mount_msdos` searches the root directory of the file system to be mounted for any existing Win'95 long filenames. If the file system is not empty and no such entries are found, `-s` is the default. Otherwise `-l` is assumed.

`-U`
  The MS-DOS file system stores filenames in a short version using 8-bit characters according to some character set and a long version with 16-bit unicode characters. The default method to store encoding-agnostic UNIX filenames is to copy them byte-wise into both fields. This is transparent but generates wrong unicode characters for anything that is not ASCII. Setting the `-U` flag interprets UNIX filenames as UTF-8 and generates correctly encoded long filenames. This forces `-l`.
`-M` mask
  Specify the maximum file permissions for directories in the file system. The value of `-m` is used if it is supplied and `-M` is omitted.
`-m` mask
  Specify the maximum file permissions for files in the file system. (For example, a mask of `755` specifies that, by default, the owner should have read, write, and execute permissions for files, but others should only have read and execute permissions. See chmod(1) for more information about octal file modes.) Only the nine low-order bits of mask are used. The value of `-M` is used if it is supplied and `-m` is omitted. The default mask is taken from the directory on which the file system is being mounted.
`-o` options
  Use the specified mount options, as described in mount(8).
`-s`
  Force behaviour to ignore and not generate Win'95 long filenames. See also `-l`.
`-t` gmtoff
  Set the time zone offset (in seconds) from UTC to gmtoff, with positive values indicating east of the Prime Meridian. If not set, the user's current time zone will be used.
`-u` uid
  Set the owner of the files in the file system to uid. The default owner is the owner of the directory on which the file system is being mounted.

# EXAMPLES

To remove the 'execute' permission bit for all files, but still keep directories searchable, use:

- mount_msdos -m 0644 -M 0755 /dev/wd0e /msdos

# SEE ALSO

mount(2), unmount(2), fstab(5), mount(8)

# HISTORY

The predecessor to `mount_msdos` utility named `mount_pcfs` appeared in NetBSD 0.8. It was abandoned in favour of the more aptly-named `mount_msdos` in NetBSD 0.9 and rewritten entirely by NetBSD 1.0.

# AUTHORS

Initial implementation as `mount_pcfs` was written by Paul Popelka <paulp@uts.amdahl.com>. It was rewritten by Christopher G. Demetriou <cgd@NetBSD.org>.

# BUGS

Compressed partitions are not supported.

The use of the `-9` flag could result in damaged file systems, albeit the damage is in part taken care of by procedures similar to the ones used in Win'95.

February 12, 2020 | NetBSD 11.99